import { Compiler, compilation } from 'webpack';
export interface DynamicImportWeappPluginOptions {
    dynamicImportFolderPath: string;
    publicPath: string;
    isEntryModule?: (module: compilation.Module) => boolean;
}
export default class DynamicImportWeappPlugin {
    /**
     * 保留传入的参数
     * @type {DynamicImportWeappPluginOptions}
     * @memberof DynamicImportWeappPlugin
     */
    options: Required<DynamicImportWeappPluginOptions>;
    constructor(props: DynamicImportWeappPluginOptions);
    /**
     * 接入 webpack, 并生成小程序动态加载代码
     * @param compiler
     */
    apply: (compiler: Compiler) => void;
}
